# pydicom.values.convert_SQ

pydicom.values.convert_SQ(byte_string: bytes, is_implicit_VR: bool, is_little_endian: bool, encoding: List[str] | None = None, offset: int = 0) → Sequence

  Return a decoded ‘SQ’ value.

  Parameters:

    - byte_string (bytes) – The encoded ‘SQ’ element value.

    - is_implicit_VR (bool) – `True` if the value is encoded as implicit VR, `False` otherwise.

    - is_little_endian (bool) – `True` if the value is encoded as little endian, `False` otherwise.

    - encoding (list of str, optional) – The character encoding scheme(s) used to encoded any text VR elements within the sequence value. `'iso8859'` is used by default.

    - offset (int, optional) – The byte offset in byte_string to the start of the sequence value.

  Returns:

    The decoded sequence.

  Return type:

    sequence.Sequence